Modify

Opened 3 years ago

Closed 3 years ago

#19159 closed defect (fixed)

Spontaneous reboots - x86 CC trunk r44696

Reported by: anonymous Owned by: developers
Priority: response-needed Milestone:
Component: kernel Version: Trunk
Keywords: Cc:

Description

I'm noticing constant reboots after 2-3 minutes, after upgrading a OpenWrt x86 VM from r44597 to the latest CC trunk. Latest one tested is r44696 (note: I recompiled it again, starting from "make dirclean" today).

I've been running under VirtualBox a OpenWrt x86 VM guest with latest trunk and this particular .config configuration for 1+ year without problems.

How can I provide useful debugging info?

Attachments (9)

openwrt-x86-CC-r44696-panic.txt (20.6 KB) - added by anonymous 3 years ago.
openwrt-x86-CC-r44747-panic.txt​ (20.6 KB) - added by anonymous 3 years ago.
openwrt-x86-CC-r44797-panic.txt​ (21.1 KB) - added by anonymous 3 years ago.
openwrt-x86-CC-r44873-panic.txt​ (21.0 KB) - added by anonymous 3 years ago.
opkg-list-installed.txt (5.3 KB) - added by anonymous 3 years ago.
proc-modules.txt (8.4 KB) - added by anonymous 3 years ago.
openwrt-x86-CC-r44873-panic2.txt​ (21.0 KB) - added by anonymous 3 years ago.
proc-modules2.txt (8.4 KB) - added by anonymous 3 years ago.
openwrt-x86-CC-r44879-panic.txt (21.4 KB) - added by anonymous 3 years ago.

Download all attachments as: .zip

Change History (26)

comment:1 Changed 3 years ago by anonymous

Just to clarify, since yesterday 11-Mar-2015 my OpenWrt CC trunk x86 VM constantly panics (and reboots) every 2-3 minutes.

BusyBox v1.22.1 (2015-03-12 21:49:59 EET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 CHAOS CALMER (Bleeding Edge, r44696)
 -----------------------------------------------------
  * 1 1/2 oz Gin            Shake with a glassful
  * 1/4 oz Triple Sec       of broken ice and pour
  * 3/4 oz Lime Juice       unstrained into a goblet.
  * 1 1/2 oz Orange Juice
  * 1 tsp. Grenadine Syrup
 -----------------------------------------------------

root@OpenWrt:~# dmesg 
[    0.000000] Linux version 3.14.34 (development@openwrt-devel) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r44696) ) #1 Thu Mar 12 22:01:56 EET 2015
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009fbff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009fc00-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x0000000007feffff] usable
[    0.000000] BIOS-e820: [mem 0x0000000007ff0000-0x0000000007ffffff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000fffc0000-0x00000000ffffffff] reserved
[    0.000000] Notice: NX (Execute Disable) protection cannot be enabled: non-PAE kernel!
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x7ff0 max_arch_pfn = 0x100000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR variable ranges disabled:
[    0.000000] CPU MTRRs all blank - virtualized system.
[    0.000000] initial memory mapped: [mem 0x00000000-0x017fffff]
[    0.000000] Base memory trampoline at [c009b000] 9b000 size 16384
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000]  [mem 0x00000000-0x000fffff] page 4k
[    0.000000] init_memory_mapping: [mem 0x07800000-0x07bfffff]
[    0.000000]  [mem 0x07800000-0x07bfffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x00100000-0x077fffff]
[    0.000000]  [mem 0x00100000-0x003fffff] page 4k
[    0.000000]  [mem 0x00400000-0x077fffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x07c00000-0x07feffff]
[    0.000000]  [mem 0x07c00000-0x07feffff] page 4k
[    0.000000] BRK [0x014b0000, 0x014b0fff] PGTABLE
[    0.000000] ACPI: RSDP 000e0000 000024 (v02 VBOX  )
[    0.000000] ACPI: XSDT 07ff0030 000034 (v01 VBOX   VBOXXSDT 00000001 ASL  00000061)
[    0.000000] ACPI: FACP 07ff00f0 0000F4 (v04 VBOX   VBOXFACP 00000001 ASL  00000061)
[    0.000000] ACPI: DSDT 07ff0410 001BF1 (v01 VBOX   VBOXBIOS 00000002 INTL 20100528)
[    0.000000] ACPI: FACS 07ff0200 000040
[    0.000000] ACPI: SSDT 07ff0240 0001CC (v01 VBOX   VBOXCPUT 00000002 INTL 20100528)
[    0.000000] 127MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 07ff0000
[    0.000000]   low ram: 0 - 07ff0000
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00001000-0x00ffffff]
[    0.000000]   Normal   [mem 0x01000000-0x07feffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00001000-0x0009efff]
[    0.000000]   node   0: [mem 0x00100000-0x07feffff]
[    0.000000] On node 0 totalpages: 32654
[    0.000000] free_area_init_node: node 0, pgdat c14234a0, node_mem_map c7ef0020
[    0.000000]   DMA zone: 32 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 3998 pages, LIFO batch:0
[    0.000000]   Normal zone: 224 pages used for memmap
[    0.000000]   Normal zone: 28656 pages, LIFO batch:7
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x4008
[    0.000000] Found and enabled local APIC!
[    0.000000] nr_irqs_gsi: 16
[    0.000000] e820: [mem 0x08000000-0xfffbffff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32398
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz root=/dev/sda2 rootfstype=ext4 rootwait console=tty0 console=ttyS0,115200n8 noinitrd
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] Memory: 124552K/130616K available (3232K kernel code, 197K rwdata, 820K rodata, 272K init, 244K bss, 6064K reserved)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xfffa1000 - 0xfffff000   ( 376 kB)
[    0.000000]     vmalloc : 0xc87f0000 - 0xfff9f000   ( 887 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xc7ff0000   ( 127 MB)
[    0.000000]       .init : 0xc1429000 - 0xc146d000   ( 272 kB)
[    0.000000]       .data : 0xc1328548 - 0xc1428760   (1024 kB)
[    0.000000]       .text : 0xc1000000 - 0xc1328548   (3233 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:2304 nr_irqs:256 16
[    0.000000] CPU 0 irqstacks, hard=c7806000 soft=c7808000
[    0.000000] Console: colour VGA+ 80x25
[    0.000000] console [tty0] enabled
[    0.000000] console [ttyS0] enabled
[    0.000000] tsc: Fast TSC calibration failed
[    0.000000] tsc: PIT calibration matches PMTIMER. 3 loops
[    0.000000] tsc: Detected 2407.847 MHz processor
[    0.030005] Calibrating delay loop (skipped), value calculated using timer frequency.. 4815.69 BogoMIPS (lpj=24078470)
[    0.032177] pid_max: default: 32768 minimum: 301
[    0.040000] ACPI: Core revision 20131218
[    0.041573] ACPI: All ACPI Tables successfully acquired
[    0.043037] ACPI: setting ELCR to 0200 (from 0e00)
[    0.044952] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.046228] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.047771] mce: CPU supports 0 MCE banks
[    0.049012] Last level iTLB entries: 4KB 128, 2MB 4, 4MB 4
[    0.049012] Last level dTLB entries: 4KB 256, 2MB 0, 4MB 32, 1GB 0
[    0.049012] tlb_flushall_shift: -1
[    0.050010] CPU: Intel(R) Celeron(R) CPU        E3200  @ 2.40GHz (fam: 06, model: 17, stepping: 0a)
[    0.060000] Performance Events: unsupported p6 CPU model 23 no PMU driver, software events only.
[    0.078045] Enabling APIC mode:  Flat.  Using 0 I/O APICs
[    0.090000] APIC calibration not consistent with PM-Timer: 179ms instead of 100ms
[    0.090000] APIC delta adjusted to PM-Timer: 6270595 (11253032)
[    0.090000] NET: Registered protocol family 16
[    0.090000] cpuidle: using governor ladder
[    0.090000] cpuidle: using governor menu
[    0.090000] ACPI: bus type PCI registered
[    0.090000] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.090000] PCI: PCI BIOS revision 2.10 entry at 0xfda26, last bus=0
[    0.092464] PCI: Using configuration type 1 for base access
[    0.104351] bio: create slab <bio-0> at 0
[    0.105516] ACPI: Added _OSI(Module Device)
[    0.106513] ACPI: Added _OSI(Processor Device)
[    0.107489] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.108488] ACPI: Added _OSI(Processor Aggregator Device)
[    0.110274] ACPI: Executed 1 blocks of module-level executable AML code
[    0.114320] ACPI: Interpreter enabled
[    0.115246] ACPI: (supports S0 S5)
[    0.116139] ACPI: Using PIC for interrupt routing
[    0.117433] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.124175] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.125424] acpi PNP0A03:00: _OSC: OS supports [Segments MSI]
[    0.126552] acpi PNP0A03:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.131738] acpi PNP0A03:00: fail to add MMCONFIG information, can't access extended PCI configuration space under this bridge.
[    0.140369] PCI host bridge to bus 0000:00
[    0.142498] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.145142] pci_bus 0000:00: root bus resource [io  0x0000-0x0cf7]
[    0.148502] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff]
[    0.150021] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff]
[    0.152124] pci_bus 0000:00: root bus resource [mem 0x08000000-0xffdfffff]
[    0.153620] pci 0000:00:00.0: [8086:1237] type 00 class 0x060000
[    0.155426] pci 0000:00:01.0: [8086:7000] type 00 class 0x060100
[    0.156267] pci 0000:00:01.1: [8086:7111] type 00 class 0x01018a
[    0.156760] pci 0000:00:01.1: reg 0x20: [io  0xd000-0xd00f]
[    0.157268] pci 0000:00:02.0: [80ee:beef] type 00 class 0x030000
[    0.157905] pci 0000:00:02.0: reg 0x10: [mem 0xe0000000-0xe03fffff pref]
[    0.163824] pci 0000:00:03.0: [1af4:1000] type 00 class 0x020000
[    0.163995] pci 0000:00:03.0: reg 0x10: [io  0xd020-0xd03f]
[    0.165003] pci 0000:00:04.0: [80ee:cafe] type 00 class 0x088000
[    0.165492] pci 0000:00:04.0: reg 0x10: [io  0xd040-0xd05f]
[    0.165922] pci 0000:00:04.0: reg 0x14: [mem 0xf0000000-0xf03fffff]
[    0.166344] pci 0000:00:04.0: reg 0x18: [mem 0xf0400000-0xf0403fff pref]
[    0.169268] pci 0000:00:07.0: [8086:7113] type 00 class 0x068000
[    0.170672] pci 0000:00:08.0: [1af4:1000] type 00 class 0x020000
[    0.170923] pci 0000:00:08.0: reg 0x10: [io  0xd060-0xd07f]
[    0.172207] pci 0000:00:09.0: [1af4:1000] type 00 class 0x020000
[    0.172394] pci 0000:00:09.0: reg 0x10: [io  0xd080-0xd09f]
[    0.173499] pci 0000:00:0a.0: [1af4:1000] type 00 class 0x020000
[    0.173671] pci 0000:00:0a.0: reg 0x10: [io  0xd0a0-0xd0bf]
[    0.174871] pci_bus 0000:00: on NUMA node 0
[    0.176394] ACPI: PCI Interrupt Link [LNKA] (IRQs 5 9 10 *11)
[    0.179231] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 9 10 *11)
[    0.181711] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 9 *10 11)
[    0.184081] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 *9 10 11)
[    0.200626] ACPI: Enabled 2 GPEs in block 00 to 07
[    0.204821] SCSI subsystem initialized
[    0.207312] libata version 3.00 loaded.
[    0.207615] PCI: Using ACPI for IRQ routing
[    0.208986] PCI: pci_cache_line_size set to 64 bytes
[    0.209262] e820: reserve RAM buffer [mem 0x0009fc00-0x0009ffff]
[    0.209270] e820: reserve RAM buffer [mem 0x07ff0000-0x07ffffff]
[    0.209750] Switched to clocksource refined-jiffies
[    0.210130] pnp: PnP ACPI init
[    0.210988] ACPI: bus type PNP registered
[    0.212266] pnp 00:00: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.212288] pnp 00:01: [dma 4]
[    0.212325] pnp 00:01: Plug and Play ACPI device, IDs PNP0200 (active)
[    0.212419] pnp 00:02: Plug and Play ACPI device, IDs PNP0f03 (active)
[    0.212466] pnp 00:03: Plug and Play ACPI device, IDs PNP0400 (active)
[    0.213035] pnp: PnP ACPI: found 4 devices
[    0.213984] ACPI: bus type PNP unregistered
[    0.262393] PM-Timer running at invalid rate: 243% of normal - aborting.
[    0.270493] pci_bus 0000:00: resource 4 [io  0x0000-0x0cf7]
[    0.270689] pci_bus 0000:00: resource 5 [io  0x0d00-0xffff]
[    0.270866] pci_bus 0000:00: resource 6 [mem 0x000a0000-0x000bffff]
[    0.271026] pci_bus 0000:00: resource 7 [mem 0x08000000-0xffdfffff]
[    0.271305] NET: Registered protocol family 2
[    0.275687] TCP established hash table entries: 1024 (order: 0, 4096 bytes)
[    0.280268] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.282982] TCP: Hash tables configured (established 1024 bind 1024)
[    0.285751] TCP: reno registered
[    0.286723] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.287982] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.289257] NET: Registered protocol family 1
[    0.290000] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[    0.290844] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[    0.292027] pci 0000:00:02.0: Boot video device
[    0.292119] PCI: CLS 0 bytes, default 64
[    0.292411] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.294264] NatSemi SCx200 Driver
[    0.295473] futex hash table entries: 256 (order: -1, 3072 bytes)
[    0.301630] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.302868] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.305285] msgmni has been set to 243
[    0.306508] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.310000] io scheduler noop registered
[    0.310781] io scheduler deadline registered (default)
[    0.312001] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.313420] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.314713] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[    0.316408] ACPI: Power Button [PWRF]
[    0.317484] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input1
[    0.319117] ACPI: Sleep Button [SLPF]
[    0.321022] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
[    0.330855] PCI: setting IRQ 10 as level-triggered
[    0.334606] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 9
[    0.337285] PCI: setting IRQ 9 as level-triggered
[    0.343661] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
[    0.344797] PCI: setting IRQ 11 as level-triggered
[    0.346125] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
[    0.347573] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    0.349609] Non-volatile memory driver v1.3
[    0.350000] ata_piix 0000:00:01.1: version 2.13
[    0.350521] scsi0 : ata_piix
[    0.353087] scsi1 : ata_piix
[    0.356987] ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xd000 irq 14
[    0.358507] ata2: PATA max UDMA/33 cmd 0x170 ctl 0x376 bmdma 0xd008 irq 15
[    0.361052] i8042: PNP: PS/2 Controller [PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
[    0.363758] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.364855] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.367336] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
[    0.370307] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.371531] rtc_cmos rtc_cmos: alarms up to one day, 114 bytes nvram
[    0.372848] TCP: cubic registered
[    0.373734] NET: Registered protocol family 17
[    0.374741] 8021q: 802.1Q VLAN Support v1.8
[    0.375991] Using IPI Shortcut mode
[    0.377623] rtc_cmos rtc_cmos: setting system clock to 2015-03-13 01:14:21 UTC (1426209261)
[    0.520702] ata1.01: NODEV after polling detection
[    0.521135] ata1.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
[    0.523364] ata1.00: 107520 sectors, multi 128: LBA 
[    0.526459] ata1.00: configured for UDMA/33
[    0.528682] scsi 0:0:0:0: Direct-Access     ATA      VBOX HARDDISK    1.0  PQ: 0 ANSI: 5
[    0.530464] sd 0:0:0:0: [sda] 107520 512-byte logical blocks: (55.0 MB/52.5 MiB)
[    0.532281] sd 0:0:0:0: [sda] Write Protect is off
[    0.533301] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    0.533323] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.536044]  sda: sda1 sda2
[    0.537196] sd 0:0:0:0: [sda] Attached SCSI disk
[    0.546162] EXT4-fs (sda2): mounted filesystem without journal. Opts: (null)
[    0.550032] VFS: Mounted root (ext4 filesystem) readonly on device 8:2.
[    0.551399] Freeing unused kernel memory: 272K (c1429000 - c146d000)
[    0.578433] init: Console is alive
[    0.672385] pps_core: LinuxPPS API ver. 1 registered
[    0.680010] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.684749] PTP clock support registered
[    0.691499] ACPI: bus type USB registered
[    0.692523] usbcore: registered new interface driver usbfs
[    0.694709] usbcore: registered new interface driver hub
[    0.696046] usbcore: registered new device driver usb
[    0.699584] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.700281] ehci-platform: EHCI generic platform driver
[    0.710848] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    0.712405] ohci-platform: OHCI generic platform driver
[    1.290026] Switched to clocksource tsc
[    1.581293] init: - preinit -
[    1.618770] random: mktemp urandom read with 17 bits of entropy available
[    3.736489] mount_root: mounting /dev/root
[    3.737718] EXT4-fs (sda2): warning: mounting unchecked fs, running e2fsck is recommended
[    3.739830] EXT4-fs (sda2): re-mounted. Opts: (null)
[    3.777690] EXT4-fs (sda1): mounted filesystem without journal. Opts: (null)
[    3.793991] procd: - early -
[    4.531482] Clocksource tsc unstable (delta = 231833030 ns)
[    4.585644] procd: - ubus -
[    4.591043] Switched to clocksource refined-jiffies
[    5.591511] procd: - init -
[    8.431039] NET: Registered protocol family 10
[    8.432894] Initializing XFRM netlink socket
[    8.434418] NET: Registered protocol family 15
[    8.436352] tun: Universal TUN/TAP device driver, 1.6
[    8.442271] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[    8.473127] e1000: Intel(R) PRO/1000 Network Driver - version 7.3.21-k8-NAPI
[    8.474460] e1000: Copyright (c) 1999-2006 Intel Corporation.
[    8.479523] VMware vmxnet3 virtual NIC driver - version 1.2.0.0-k-NAPI
[    8.498300] gre: GRE over IPv4 demultiplexor driver
[    8.512841] ip_gre: GRE over IPv4 tunneling driver
[    8.537028] ip6_tables: (C) 2000-2006 Netfilter Core Team
[    8.583271] Netfilter messages via NETLINK v0.30.
[    8.594453] ip_set: protocol 6
[    8.723790] u32 classifier
[    8.725893]     input device check on
[    8.728015]     Actions configured
[    8.742942] Mirror/redirect action on
[    8.749681] nf_conntrack version 0.5.0 (1950 buckets, 7800 max)
[    8.773819] 8139too: 8139too Fast Ethernet driver 0.9.28
[    8.818171] usbcore: registered new interface driver cdc_acm
[    8.819316] cdc_acm: USB Abstract Control Model driver for USB modems and ISDN adapters
[    8.836267] usbcore: registered new interface driver cdc_wdm
[    8.838799] Loading modules backported from Linux version master-2015-03-09-0-g141f155
[    8.842130] Backport generated by backports.git backports-20150129-0-gdd4a670
[    8.877035] ip_tables: (C) 2000-2006 Netfilter Core Team
[    8.923262] ne2k-pci.c:v1.03 9/22/2003 D. Becker/P. Gortmaker
[    8.961360] pcnet32: pcnet32.c:v1.35 21.Apr.2008 tsbogend@alpha.franken.de
[    9.007830] usbcore: registered new interface driver usbserial
[    9.009516] usbcore: registered new interface driver usbserial_generic
[    9.011140] usbserial: USB Serial support registered for generic
[    9.013106] via_rhine: v1.10-LK1.5.1 2010-10-09 Written by Donald Becker
[    9.071704] xt_time: kernel timezone is -0000
[    9.076277] usbcore: registered new interface driver cdc_ncm
[    9.098410] cfg80211: Calling CRDA to update world regulatory domain
[    9.107943] cfg80211: World regulatory domain updated:
[    9.109286] cfg80211:  DFS Master region: unset
[    9.109936] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[    9.111051] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    9.112735] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[    9.114412] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[    9.116279] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[    9.122517] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[    9.132119] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[    9.136329] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[    9.141580] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[    9.146002] usbcore: registered new interface driver huawei_cdc_ncm
[    9.157493] PPP generic driver version 2.4.2
[    9.159314] NET: Registered protocol family 24
[    9.162161] usbcore: registered new interface driver qmi_wwan
[    9.170628] usbcore: registered new interface driver option
[    9.171123] usbserial: USB Serial support registered for GSM modem (1-port)
[    9.175164] usbcore: registered new interface driver ath9k_htc
[   11.349207] random: nonblocking pool is initialized
[   12.212497] 8021q: adding VLAN 0 to HW filter on device eth3
[   12.267277] 8021q: adding VLAN 0 to HW filter on device eth0
[   12.271268] 8021q: adding VLAN 0 to HW filter on device eth1
[   12.274909] 8021q: adding VLAN 0 to HW filter on device eth2
[   19.931381] device eth0 entered promiscuous mode
root@OpenWrt:~# 


root@OpenWrt:~# logread 
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.656896] cfg80211: World regulatory domain updated:
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.657964] cfg80211:  DFS Master region: unset
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.658650] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.661396] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.663560] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.665547] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.667409] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.669206] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.670937] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.672632] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.674512] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.676422] usbcore: registered new interface driver huawei_cdc_ncm
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.688998] PPP generic driver version 2.4.2
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.784517] NET: Registered protocol family 24
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.787245] usbcore: registered new interface driver qmi_wwan
Fri Mar 13 03:07:18 2015 kern.notice kernel: [   11.791423] random: nonblocking pool is initialized
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.849762] usbcore: registered new interface driver option
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.851033] usbserial: USB Serial support registered for GSM modem (1-port)
Fri Mar 13 03:07:18 2015 kern.info kernel: [   11.855194] usbcore: registered new interface driver ath9k_htc
Fri Mar 13 03:07:20 2015 daemon.info racoon: 2015-03-13 03:07:20: INFO: @(#)ipsec-tools 0.8.2 (http://ipsec-tools.sourceforge.net)
Fri Mar 13 03:07:20 2015 daemon.info racoon: 2015-03-13 03:07:20: INFO: @(#)This product linked OpenSSL 1.0.2 22 Jan 2015 (http://www.openssl.org/)
Fri Mar 13 03:07:20 2015 daemon.info racoon: 2015-03-13 03:07:20: INFO: Reading configuration from "/etc/racoon.conf"
Fri Mar 13 03:07:20 2015 authpriv.info dropbear[1907]: Not backgrounding
Fri Mar 13 03:07:20 2015 daemon.warn netifd: You have delegated IPv6-prefixes but haven't assigned them to any interface. Did you forget to set option ip6assign on your lan-interfaces?
Fri Mar 13 03:07:20 2015 kern.info kernel: [   15.817674] 8021q: adding VLAN 0 to HW filter on device eth3
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan2' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan2' is setting up now
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan2' is now up
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan3' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan3' is setting up now
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan3' is now up
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan4' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan5' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan' is setting up now
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'lan' is now up
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'loopback' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'loopback' is setting up now
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'loopback' is now up
Fri Mar 13 03:07:20 2015 kern.info kernel: [   15.851428] 8021q: adding VLAN 0 to HW filter on device eth0
Fri Mar 13 03:07:20 2015 kern.info kernel: [   15.856489] 8021q: adding VLAN 0 to HW filter on device eth1
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'wan' is enabled
Fri Mar 13 03:07:20 2015 daemon.notice netifd: Interface 'wan' is setting up now
Fri Mar 13 03:07:21 2015 kern.info kernel: [   15.926827] 8021q: adding VLAN 0 to HW filter on device eth2
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'wan2' is enabled
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'wan2' is setting up now
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Network device 'eth3' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: VLANDEV 'vlan20' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan2' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: VLANDEV 'vlan30' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan3' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: VLANDEV 'vlan40' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan4' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan4' is setting up now
Fri Mar 13 03:07:21 2015 daemon.notice netifd: VLANDEV 'vlan50' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan5' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan5' is setting up now
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Network device 'eth0' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'lan' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Network device 'lo' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'loopback' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Network device 'eth1' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'wan' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Network device 'eth2' link is up
Fri Mar 13 03:07:21 2015 daemon.notice netifd: Interface 'wan2' has link connectivity 
Fri Mar 13 03:07:21 2015 daemon.notice netifd: lan5 (2230): udhcpc (v1.22.1) started
Fri Mar 13 03:07:21 2015 daemon.notice netifd: lan5 (2230): Sending discover...
Fri Mar 13 03:07:21 2015 daemon.notice netifd: wan (2258): udhcpc (v1.22.1) started
Fri Mar 13 03:07:21 2015 daemon.notice netifd: lan4 (2267): udhcpc (v1.22.1) started
Fri Mar 13 03:07:21 2015 daemon.notice netifd: wan (2258): Sending discover...
Fri Mar 13 03:07:21 2015 daemon.notice netifd: lan4 (2267): Sending discover...
Fri Mar 13 03:07:21 2015 daemon.notice netifd: wan2 (2288): udhcpc (v1.22.1) started
Fri Mar 13 03:07:22 2015 daemon.notice netifd: wan2 (2288): Sending discover...
Fri Mar 13 03:07:23 2015 user.notice firewall: Reloading firewall due to ifup of lan2 (vlan20)
Fri Mar 13 03:07:23 2015 daemon.notice netifd: lan5 (2230): Sending select for 10.177.10.42...
Fri Mar 13 03:07:23 2015 daemon.notice netifd: wan (2258): Sending select for 10.0.3.19...
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - cls_u32
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - em_u32
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - act_connmark
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - act_mirred
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - sch_ingress
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - cls_fw
Fri Mar 13 03:07:24 2015 daemon.err insmod: module is already loaded - sch_hfsc
Fri Mar 13 03:07:24 2015 daemon.notice netifd: lan4 (2267): Sending discover...
Fri Mar 13 03:07:25 2015 daemon.notice netifd: wan2 (2288): Sending discover...
Fri Mar 13 03:07:25 2015 daemon.err insmod: module is already loaded - xt_multiport
Fri Mar 13 03:07:25 2015 daemon.err insmod: module is already loaded - xt_comment
Fri Mar 13 03:07:25 2015 daemon.err insmod: module is already loaded - xt_length
Fri Mar 13 03:07:26 2015 daemon.notice netifd: lan4 (2267): Sending select for 10.199.40.158...
Fri Mar 13 03:07:26 2015 daemon.notice netifd: lan5 (2230): Lease of 10.177.10.42 obtained, lease time 3600
Fri Mar 13 03:07:26 2015 daemon.notice netifd: lan4 (2267): Lease of 10.199.40.158 obtained, lease time 10800
Fri Mar 13 03:07:26 2015 daemon.notice netifd: Interface 'lan4' is now up
Fri Mar 13 03:07:26 2015 daemon.notice netifd: Interface 'lan5' is now up
Fri Mar 13 03:07:26 2015 daemon.notice netifd: wan2 (2288): Sending select for 10.0.3.45...
Fri Mar 13 03:07:26 2015 daemon.notice netifd: wan (2258): Sending select for 10.0.3.19...
Fri Mar 13 03:07:27 2015 daemon.notice netifd: wan (2258): Lease of 10.0.3.19 obtained, lease time 3600
Fri Mar 13 03:07:27 2015 daemon.notice netifd: wan2 (2288): Lease of 10.0.3.45 obtained, lease time 3600
Fri Mar 13 03:07:27 2015 daemon.notice netifd: Interface 'wan2' is now up
Fri Mar 13 03:07:27 2015 daemon.notice netifd: Interface 'wan' is now up
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: started, version 2.72 cachesize 1000
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: compile time options: IPv6 GNU-getopt no-DBus no-i18n no-IDN DHCP no-DHCPv6 no-Lua TFTP no-conntrack ipset no-auth no-DNSSEC loop-detect
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq-dhcp[2785]: DHCP, IP range 192.168.100.66 -- 192.168.103.253, lease time 12h
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using local addresses only for domain lan
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: reading /tmp/resolv.conf.auto
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using local addresses only for domain lan
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using nameserver 10.199.40.1#53
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using nameserver 10.177.0.1#53
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using nameserver 10.0.3.1#53
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: using nameserver 10.0.3.1#53
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: read /etc/hosts - 1 addresses
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq[2785]: read /tmp/hosts/dhcp - 1 addresses
Fri Mar 13 03:07:27 2015 daemon.info dnsmasq-dhcp[2785]: read /etc/ethers - 0 addresses
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - cls_u32
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - em_u32
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - act_connmark
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - act_mirred
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - sch_ingress
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - cls_fw
Fri Mar 13 03:07:29 2015 daemon.err insmod: module is already loaded - sch_hfsc
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[2785]: exiting on receipt of SIGTERM
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: started, version 2.72 cachesize 1000
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: compile time options: IPv6 GNU-getopt no-DBus no-i18n no-IDN DHCP no-DHCPv6 no-Lua TFTP no-conntrack ipset no-auth no-DNSSEC loop-detect
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq-dhcp[3132]: DHCP, IP range 192.168.100.66 -- 192.168.103.253, lease time 12h
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using local addresses only for domain lan
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: reading /tmp/resolv.conf.auto
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using local addresses only for domain lan
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using nameserver 10.199.40.1#53
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using nameserver 10.177.0.1#53
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using nameserver 10.0.3.1#53
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: using nameserver 10.0.3.1#53
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: read /etc/hosts - 1 addresses
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq[3132]: read /tmp/hosts/dhcp - 1 addresses
Fri Mar 13 03:07:31 2015 daemon.info dnsmasq-dhcp[3132]: read /etc/ethers - 0 addresses
Fri Mar 13 03:07:31 2015 daemon.err insmod: module is already loaded - xt_multiport
Fri Mar 13 03:07:31 2015 daemon.err insmod: module is already loaded - xt_comment
Fri Mar 13 03:07:31 2015 daemon.err insmod: module is already loaded - xt_length
Fri Mar 13 03:07:32 2015 kern.info kernel: [   27.254942] device eth0 entered promiscuous mode
Fri Mar 13 03:07:32 2015 daemon.notice softflowd[3209]: softflowd v0.9.9 starting data collection
Fri Mar 13 03:07:32 2015 daemon.notice softflowd[3209]: Exporting flows to [10.0.3.100]:2055
Fri Mar 13 03:07:32 2015 daemon.notice openvpn(vpnsrv1)[3248]: OpenVPN 2.3.6 i486-openwrt-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Mar 12 2015
Fri Mar 13 03:07:32 2015 daemon.notice openvpn(vpnsrv1)[3248]: library versions: OpenSSL 1.0.2 22 Jan 2015, LZO 2.08
Fri Mar 13 03:07:32 2015 daemon.err openvpn(vpnsrv1)[3248]: Cannot load certificate file /etc/openvpn/mysrv-client9.crt: error:02001002:lib(2):func(1):reason(2): error:2006D080:lib(32):func(109):reason(128): error:140AD002:lib(20):func(173):reason(2)
Fri Mar 13 03:07:32 2015 daemon.notice openvpn(vpnsrv1)[3248]: Exiting due to fatal error
Fri Mar 13 03:07:33 2015 daemon.info procd: - init complete -
Fri Mar 13 03:07:33 2015 user.notice firewall: Reloading firewall due to ifup of lan (eth0)
Fri Mar 13 03:07:37 2015 daemon.notice openvpn(vpnsrv1)[3644]: OpenVPN 2.3.6 i486-openwrt-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Mar 12 2015
Fri Mar 13 03:07:37 2015 daemon.notice openvpn(vpnsrv1)[3644]: library versions: OpenSSL 1.0.2 22 Jan 2015, LZO 2.08
Fri Mar 13 03:07:37 2015 daemon.err openvpn(vpnsrv1)[3644]: Cannot load certificate file /etc/openvpn/mysrv-client9.crt: error:02001002:lib(2):func(1):reason(2): error:2006D080:lib(32):func(109):reason(128): error:140AD002:lib(20):func(173):reason(2)
Fri Mar 13 03:07:37 2015 daemon.notice openvpn(vpnsrv1)[3644]: Exiting due to fatal error
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - cls_u32
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - em_u32
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - act_connmark
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - act_mirred
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - sch_ingress
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - cls_fw
Fri Mar 13 03:07:40 2015 daemon.err insmod: module is already loaded - sch_hfsc
Fri Mar 13 03:07:44 2015 daemon.notice openvpn(vpnsrv1)[4046]: OpenVPN 2.3.6 i486-openwrt-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Mar 12 2015
Fri Mar 13 03:07:44 2015 daemon.notice openvpn(vpnsrv1)[4046]: library versions: OpenSSL 1.0.2 22 Jan 2015, LZO 2.08
Fri Mar 13 03:07:44 2015 daemon.err openvpn(vpnsrv1)[4046]: Cannot load certificate file /etc/openvpn/mysrv-client9.crt: error:02001002:lib(2):func(1):reason(2): error:2006D080:lib(32):func(109):reason(128): error:140AD002:lib(20):func(173):reason(2)
Fri Mar 13 03:07:44 2015 daemon.notice openvpn(vpnsrv1)[4046]: Exiting due to fatal error
Fri Mar 13 03:07:44 2015 user.notice firewall: Reloading firewall due to ifup of wan2 (eth2)
Fri Mar 13 03:07:45 2015 user.notice ddns-scripts[4117]: mytest2: PID '4117' started at 2015-03-13 03:07
Fri Mar 13 03:07:45 2015 user.warn ddns-scripts[4117]: mytest2: Service section disabled! - TERMINATE
Fri Mar 13 03:07:45 2015 user.warn ddns-scripts[4117]: mytest2: PID '4117' exit WITH ERROR '1' at 2015-03-13 03:07
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - cls_u32
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - em_u32
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - act_connmark
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - act_mirred
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - sch_ingress
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - cls_fw
Fri Mar 13 03:07:46 2015 daemon.err insmod: module is already loaded - sch_hfsc
Fri Mar 13 03:07:49 2015 daemon.notice openvpn(vpnsrv1)[4468]: OpenVPN 2.3.6 i486-openwrt-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Mar 12 2015
Fri Mar 13 03:07:49 2015 daemon.notice openvpn(vpnsrv1)[4468]: library versions: OpenSSL 1.0.2 22 Jan 2015, LZO 2.08
Fri Mar 13 03:07:49 2015 daemon.err openvpn(vpnsrv1)[4468]: Cannot load certificate file /etc/openvpn/mysrv-client9.crt: error:02001002:lib(2):func(1):reason(2): error:2006D080:lib(32):func(109):reason(128): error:140AD002:lib(20):func(173):reason(2)
Fri Mar 13 03:07:49 2015 daemon.notice openvpn(vpnsrv1)[4468]: Exiting due to fatal error
Fri Mar 13 03:07:49 2015 authpriv.info dropbear[4471]: Child connection from 10.0.3.1:54864
Fri Mar 13 03:07:49 2015 user.notice firewall: Reloading firewall due to ifup of wan (eth1)
Fri Mar 13 03:07:50 2015 user.notice ddns-scripts[4534]: mytest1: PID '4534' started at 2015-03-13 03:07
Fri Mar 13 03:07:50 2015 user.warn ddns-scripts[4534]: mytest1: Service section disabled! - TERMINATE
Fri Mar 13 03:07:51 2015 user.warn ddns-scripts[4534]: mytest1: PID '4534' exit WITH ERROR '1' at 2015-03-13 03:07
Fri Mar 13 03:07:52 2015 authpriv.notice dropbear[4471]: Password auth succeeded for 'root' from 10.0.3.1:54864
Fri Mar 13 03:07:54 2015 daemon.notice openvpn(vpnsrv1)[4602]: OpenVPN 2.3.6 i486-openwrt-linux-gnu [SSL (OpenSSL)] [LZO] [EPOLL] [MH] [IPv6] built on Mar 12 2015
Fri Mar 13 03:07:54 2015 daemon.notice openvpn(vpnsrv1)[4602]: library versions: OpenSSL 1.0.2 22 Jan 2015, LZO 2.08
Fri Mar 13 03:07:54 2015 daemon.err openvpn(vpnsrv1)[4602]: Cannot load certificate file /etc/openvpn/mysrv-client9.crt: error:02001002:lib(2):func(1):reason(2): error:2006D080:lib(32):func(109):reason(128): error:140AD002:lib(20):func(173):reason(2)
Fri Mar 13 03:07:54 2015 daemon.notice openvpn(vpnsrv1)[4602]: Exiting due to fatal error
root@OpenWrt:~# 

comment:2 Changed 3 years ago by anonymous

Also, every kernel panic happens around the 193-195 time-stamp (according to the console output)

comment:3 Changed 3 years ago by anonymous

Continuous kernel panics as described above persist with latest trunk r44747 ...

comment:4 Changed 3 years ago by jow

  • Priority changed from normal to response-needed

I don't see any trace of a panic in the logs you pasted... can you provide a proper example?
Also what means "193-195 time-stamp" ?

comment:5 Changed 3 years ago by anonymous

jow: I didn't know how to capture a log of the panic (see OP), I just achieved it with a serial console:

[   12.195598] random: nonblocking pool is initialized
[   13.482099] 8021q: adding VLAN 0 to HW filter on device eth3
[   13.554476] 8021q: adding VLAN 0 to HW filter on device eth0
[   13.599669] 8021q: adding VLAN 0 to HW filter on device eth1
[   13.616304] 8021q: adding VLAN 0 to HW filter on device eth2
[   19.620802] device eth0 entered promiscuous mode
[  195.782214] ------------[ cut here ]------------
[  195.791878] Kernel BUG at c8bc462a [verbose debug info unavailable]
[  195.791878] invalid opcode: 0000 [#1] 
[  195.791878] Modules linked in: ath9k ath9k_htc ath9k_common pppoe ppp_async option iptable_nat ath9k_hw ath usb_wwan qmi_wwan pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE huawei_cdc_ncm cfg80211 cdc_ncm xt_time xt_tcpudp xt_tcpmss xt_string xt_statistic xt_state xt_recent xt_policy xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_helper xt_hashlimit xt_esp xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TEE xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY via_velocity via_rhine usbserial usbnet ts_kmp ts_fsm ts_bm slhc r8169 pcnet32 nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_irc nf_conntrack_ftp ne2k_pci libcrc32c iptable_raw iptable_mangle iptable_filter ipt_ah ipt_REJECT ipt_ECN ip_tables crc_ccitt compat cdc_wdm cdc_acm 8390 8139too act_connmark nf_conntrack act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress evdev virtio_net ledtrig_usbdev xt_set ip_set_list_set ip_set_hash_netport ip_set_hash_netiface ip_set_hash_net ip_set_hash_ipportnet ip_set_hash_ipportip ip_set_hash_ipport ip_set_hash_ipmark ip_set_hash_ip ip_set_bitmap_port ip_set_bitmap_ipmac ip_set_bitmap_ip ip_set nfnetlink ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ip_gre gre vmxnet3 e1000 ifb ipcomp xfrm4_tunnel xfrm4_mode_tunnel xfrm4_mode_transport xfrm4_mode_beet esp4 ah4 tunnel4 ip_tunnel tun af_key xfrm_user xfrm_ipcomp xfrm_algo ipv6 chainiv eseqiv virtio_rng crypto_wq sha256_generic sha1_generic krng rng md5 hmac des_generic deflate zlib_deflate cbc authenc aead arc4 crypto_blkcipher aes_i586 virtio_balloon ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common tg3 hwmon ptp pps_core mii libphy
[  195.791878] CPU: 0 PID: 0 Comm: swapper Not tainted 3.14.34 #1
[  195.791878] task: c13fe100 ti: c7808000 task.ti: c13f8000
[  195.791878] EIP: 0060:[<c8bc462a>] EFLAGS: 00210286 CPU: 0
[  195.791878] EIP is at 0xc8bc462a
[  195.791878] EAX: c6899c60 EBX: 00000100 ECX: c6964910 EDX: c6899c60
[  195.791878] ESI: c8bc4620 EDI: c147bda0 EBP: c6899c60 ESP: c7809f74
[  195.791878]  DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
[  195.791878] CR0: 8005003b CR2: 0808151f CR3: 079e0000 CR4: 000006d0
[  195.791878] Stack:
[  195.791878]  c103c127 c1426720 c6c5e000 00000000 c7a7a780 c104d363 c7a7a780 00000000
[  195.791878]  c8bc4620 c103c2af c147c5b0 c147c7b0 c6964990 c6972610 00000001 c147bc04
[  195.791878]  00000100 00000002 c1037405 00000000 00000000 00000000 00000000 00000000
[  195.791878] Call Trace:
[  195.791878]  [<c103c127>] ? call_timer_fn.isra.38+0x17/0x70
[  195.791878]  [<c104d363>] ? hrtimer_run_pending+0x23/0x100
[  195.791878]  [<c8bc4620>] ? 0xc8bc461f
[  195.791878]  [<c103c2af>] ? run_timer_softirq+0x12f/0x170
[  195.791878]  [<c1037405>] ? __do_softirq+0xa5/0x1c0
[  195.791878]  [<c1037360>] ? __tasklet_schedule+0x50/0x50
[  195.791878]  <IRQ> 
[  195.791878]  [<c10376a3>] ? irq_exit+0x33/0x50
[  195.791878]  [<c10262ee>] ? smp_apic_timer_interrupt+0x2e/0x40
[  195.791878]  [<c132722a>] ? apic_timer_interrupt+0x2a/0x30
[  195.791878]  [<c102d332>] ? native_safe_halt+0x2/0x10
[  195.791878]  [<c10093b5>] ? default_idle+0x5/0x10
[  195.791878]  [<c1009c5f>] ? arch_cpu_idle+0xf/0x20
[  195.791878]  [<c105b060>] ? cpu_startup_entry+0x90/0x110
[  195.791878]  [<c14299d4>] ? start_kernel+0x316/0x31b
[  195.791878]  [<c142950c>] ? repair_env_string+0x4d/0x4d
[  195.791878] Code: 00 83 c4 10 5b 5e 5f 5d c3 90 8d b4 26 00 00 00 00 81 05 38 1e 40 c1 00 02 00 00 0f 0b 8d 74 26 00 81 05 38 1e 40 c1 00 02 00 00 <0f> 0b 8d 74 26 00 55 57 56 53 83 ec 44 89 c5 89 d6 8b 54 24 5c
[  195.791878] EIP: [<c8bc462a>] 0xc8bc462a SS:ESP 0068:c7809f74
[  195.791923] ---[ end trace 950e4d99f0e4a761 ]---
[  195.801892] Kernel panic - not syncing: Fatal exception in interrupt
[  195.806351] Kernel Offset: 0x0 from 0xc1000000 (relocation range: 0xc0000000-0xc87effff)
[  195.811878] Rebooting in 3 seconds..
[  195.811878] ACPI MEMORY or I/O RESET_REG.

Changed 3 years ago by anonymous

Changed 3 years ago by anonymous

comment:6 Changed 3 years ago by anonymous

Kernel panics persist even after upgrading to r44797 ...

...
[   12.098065] random: nonblocking pool is initialized
[   13.193431] 8021q: adding VLAN 0 to HW filter on device eth3
[   13.241195] 8021q: adding VLAN 0 to HW filter on device eth0
[   13.309899] 8021q: adding VLAN 0 to HW filter on device eth1
[   13.379114] 8021q: adding VLAN 0 to HW filter on device eth2
[   18.743166] device eth0 entered promiscuous mode
[  195.810971] ------------[ cut here ]------------
[  195.814504] Kernel BUG at c8be162a [verbose debug info unavailable]
[  195.818471] invalid opcode: 0000 [#1] 
[  195.820328] Modules linked in: ath9k ath9k_htc ath9k_common pppoe ppp_async option iptable_nat ath9k_hw ath usb_wwan qmi_wwan pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE huawei_cdc_ncm cfg80211 cdc_ncm xt_time xt_tcpudp xt_tcpmss xt_string xt_statistic xt_state xt_recent xt_policy xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_helper xt_hashlimit xt_esp xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TEE xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY via_velocity via_rhine usbserial usbnet ts_kmp ts_fsm ts_bm slhc r8169 pcnet32 nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_irc nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_irc nf_conntrack_ftp ne2k_pci libcrc32c iptable_raw iptable_mangle iptable_filter ipt_ah ipt_ECN ip_tables crc_ccitt compat cdc_wdm cdc_acm 8390 8139too act_connmark nf_conntrack act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress evdev virtio_net ledtrig_usbdev xt_set ip_set_list_set ip_set_hash_netport ip_set_hash_netiface ip_set_hash_net ip_set_hash_ipportnet ip_set_hash_ipportip ip_set_hash_ipport ip_set_hash_ipmark ip_set_hash_ip ip_set_bitmap_port ip_set_bitmap_ipmac ip_set_bitmap_ip ip_set nfnetlink ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ip_gre gre vmxnet3 e1000 ifb ipcomp xfrm4_tunnel xfrm4_mode_tunnel xfrm4_mode_transport xfrm4_mode_beet esp4 ah4 tunnel4 ip_tunnel tun af_key xfrm_user xfrm_ipcomp xfrm_algo ipv6 chainiv eseqiv virtio_rng crypto_wq sha256_generic sha1_generic krng rng md5 hmac des_generic deflate zlib_deflate cbc authenc aead arc4 crypto_blkcipher aes_i586 virtio_balloon ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common tg3 hwmon ptp pps_core mii libphy
[  195.820328] CPU: 0 PID: 0 Comm: swapper Not tainted 3.18.8 #1
[  195.820328] task: c1426100 ti: c141e000 task.ti: c141e000
[  195.820328] EIP: 0060:[<c8be162a>] EFLAGS: 00210286 CPU: 0
[  195.820328] EIP is at 0xc8be162a
[  195.820328] EAX: c681b300 EBX: 00000100 ECX: c0188ad0 EDX: c681b300
[  195.820328] ESI: c8be1620 EDI: c14c95c0 EBP: c681b300 ESP: c7809f74
[  195.820328]  DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
[  195.820328] CR0: 8005003b CR2: 080936a4 CR3: 079d2000 CR4: 000006d0
[  195.820328] Stack:
[  195.820328]  c105dc57 c1450620 c7b53800 00000000 c7a48480 c105ebf3 c7a48480 00000000
[  195.820328]  c8be1620 c105de7f c14c9dd8 c14c9fd8 c0188510 c73f721c 00000001 c14a7ca4
[  195.820328]  00000100 00000002 c1037db5 00000000 00000000 00000000 00000000 00000000
[  195.820328] Call Trace:
[  195.820328]  [<c105dc57>] ? call_timer_fn.isra.39+0x17/0x70
[  195.820328]  [<c105ebf3>] ? hrtimer_run_pending+0x23/0x100
[  195.820328]  [<c8be1620>] ? 0xc8be1620
[  195.820328]  [<c105de7f>] ? run_timer_softirq+0x15f/0x1a0
[  195.820328]  [<c1037db5>] ? __do_softirq+0xa5/0x1c0
[  195.820328]  [<c1037d10>] ? __tasklet_schedule+0x50/0x50
[  195.820328]  [<c1003989>] ? do_softirq_own_stack+0x19/0x20
[  195.820328]  <IRQ> 
[  195.820328]  [<c1038053>] ? irq_exit+0x33/0x50
[  195.820328]  [<c10278ae>] ? smp_apic_timer_interrupt+0x2e/0x40
[  195.820328]  [<c134379a>] ? apic_timer_interrupt+0x2a/0x30
[  195.820328]  [<c102ebb2>] ? native_safe_halt+0x2/0x10
[  195.820328]  [<c1009775>] ? default_idle+0x5/0x10
[  195.820328]  [<c100a066>] ? arch_cpu_idle+0x6/0x10
[  195.820328]  [<c1052b66>] ? cpu_startup_entry+0xe6/0x250
[  195.820328]  [<c1454b0e>] ? start_kernel+0x370/0x375
[  195.820328]  [<c14545d0>] ? set_init_arg+0x45/0x45
[  195.820328] Code: 00 83 c4 10 5b 5e 5f 5d c3 90 8d b4 26 00 00 00 00 81 05 78 9e 42 c1 00 02 00 00 0f 0b 8d 74 26 00 81 05 78 9e 42 c1 00 02 00 00 <0f> 0b 8d 74 26 00 55 57 56 53 83 ec 44 89 c5 89 d6 8b 54 24 5c
[  195.820328] EIP: [<c8be162a>] 0xc8be162a SS:ESP 0068:c7809f74
[  195.820707] ---[ end trace e48e1761f441cb05 ]---
[  195.822818] Kernel panic - not syncing: Fatal exception in interrupt
[  195.825123] Kernel Offset: 0x0 from 0xc1000000 (relocation range: 0xc0000000-0xc87effff)
[  195.830328] Rebooting in 3 seconds..
[  195.830328] ACPI MEMORY or I/O RESET_REG.

Changed 3 years ago by anonymous

comment:7 Changed 3 years ago by nbd

please post your build system .config and the output of opkg list_installed from the system.

Changed 3 years ago by anonymous

Changed 3 years ago by anonymous

comment:8 Changed 3 years ago by anonymous

And a diff of opkg packages against a x86 VM that has been created with the same .config and has been running fine for several days (note: as noted in OP it paniced BEFORE you guys switched the x86 target from 3.14 to 3.18 kernel)

1,2c1,2
< base-files - 157-r44873
< busybox - 1.22.1-6
---
> base-files - 157-r44597
> busybox - 1.22.1-5
13c13
< fstools - 2015-03-12-0b99adb02f2eb822fbfc4efcb8ebf5fecbd74974
---
> fstools - 2015-02-26-1c1bfa053103f7783167d2ab272fb11331f87681
20c20
< ipset - 6.24-1
---
> ipset - 6.20.1-1
28c28
< iw - 3.17-1
---
> iw - 3.15-1
32,133c32,133
< kernel - 3.18.8-1-7c0fb0d6787f67e2b85e9a336db4e225
< kmod-8139too - 3.18.8-1
< kmod-acpi-button - 3.18.8-1
< kmod-ath - 3.18.8+2015-03-09-1
< kmod-ath9k - 3.18.8+2015-03-09-1
< kmod-ath9k-common - 3.18.8+2015-03-09-1
< kmod-ath9k-htc - 3.18.8+2015-03-09-1
< kmod-cfg80211 - 3.18.8+2015-03-09-1
< kmod-crypto-aead - 3.18.8-1
< kmod-crypto-aes - 3.18.8-1
< kmod-crypto-arc4 - 3.18.8-1
< kmod-crypto-authenc - 3.18.8-1
< kmod-crypto-cbc - 3.18.8-1
< kmod-crypto-core - 3.18.8-1
< kmod-crypto-crc32c - 3.18.8-1
< kmod-crypto-deflate - 3.18.8-1
< kmod-crypto-des - 3.18.8-1
< kmod-crypto-hash - 3.18.8-1
< kmod-crypto-hmac - 3.18.8-1
< kmod-crypto-iv - 3.18.8-1
< kmod-crypto-manager - 3.18.8-1
< kmod-crypto-md5 - 3.18.8-1
< kmod-crypto-pcompress - 3.18.8-1
< kmod-crypto-rng - 3.18.8-1
< kmod-crypto-sha1 - 3.18.8-1
< kmod-crypto-sha256 - 3.18.8-1
< kmod-crypto-wq - 3.18.8-1
< kmod-e1000 - 3.18.8-1
< kmod-fs-ext4 - 3.18.8-1
< kmod-gpio-button-hotplug - 3.18.8-1
< kmod-gre - 3.18.8-1
< kmod-hwmon-core - 3.18.8-1
< kmod-ifb - 3.18.8-1
< kmod-input-core - 3.18.8-1
< kmod-input-evdev - 3.18.8-1
< kmod-ip6tables - 3.18.8-1
< kmod-ipsec - 3.18.8-1
< kmod-ipsec4 - 3.18.8-1
< kmod-ipt-conntrack - 3.18.8-1
< kmod-ipt-conntrack-extra - 3.18.8-1
< kmod-ipt-core - 3.18.8-1
< kmod-ipt-filter - 3.18.8-1
< kmod-ipt-hashlimit - 3.18.8-1
< kmod-ipt-ipopt - 3.18.8-1
< kmod-ipt-ipsec - 3.18.8-1
< kmod-ipt-ipset - 3.18.8+6.24-1
< kmod-ipt-nat - 3.18.8-1
< kmod-ipt-tee - 3.18.8-1
< kmod-iptunnel - 3.18.8-1
< kmod-iptunnel4 - 3.18.8-1
< kmod-ipv6 - 3.18.8-1
< kmod-ledtrig-default-on - 3.18.8-1
< kmod-ledtrig-netdev - 3.18.8-1
< kmod-ledtrig-timer - 3.18.8-1
< kmod-ledtrig-usbdev - 3.18.8-1
< kmod-lib-crc-ccitt - 3.18.8-1
< kmod-lib-crc16 - 3.18.8-1
< kmod-lib-crc32c - 3.18.8-1
< kmod-lib-textsearch - 3.18.8-1
< kmod-lib-zlib - 3.18.8-1
< kmod-libphy - 3.18.8-1
< kmod-mac80211 - 3.18.8+2015-03-09-1
< kmod-mii - 3.18.8-1
< kmod-ne2k-pci - 3.18.8-1
< kmod-nf-conntrack - 3.18.8-1
< kmod-nf-conntrack6 - 3.18.8-1
< kmod-nf-ipt - 3.18.8-1
< kmod-nf-ipt6 - 3.18.8-1
< kmod-nf-nat - 3.18.8-1
< kmod-nf-nathelper - 3.18.8-1
< kmod-nfnetlink - 3.18.8-1
< kmod-nls-base - 3.18.8-1
< kmod-pcnet32 - 3.18.8-1
< kmod-ppp - 3.18.8-1
< kmod-pppoe - 3.18.8-1
< kmod-pppox - 3.18.8-1
< kmod-pps - 3.18.8-1
< kmod-ptp - 3.18.8-1
< kmod-r8169 - 3.18.8-1
< kmod-sched-connmark - 3.18.8-1
< kmod-sched-core - 3.18.8-1
< kmod-slhc - 3.18.8-1
< kmod-tg3 - 3.18.8-1
< kmod-tun - 3.18.8-1
< kmod-usb-acm - 3.18.8-1
< kmod-usb-core - 3.18.8-1
< kmod-usb-net - 3.18.8-1
< kmod-usb-net-cdc-ncm - 3.18.8-1
< kmod-usb-net-huawei-cdc-ncm - 3.18.8-1
< kmod-usb-net-qmi-wwan - 3.18.8-1
< kmod-usb-ohci - 3.18.8-1
< kmod-usb-serial - 3.18.8-1
< kmod-usb-serial-option - 3.18.8-1
< kmod-usb-serial-wwan - 3.18.8-1
< kmod-usb-wdm - 3.18.8-1
< kmod-usb2 - 3.18.8-1
< kmod-via-rhine - 3.18.8-1
< kmod-via-velocity - 3.18.8-1
< kmod-virtio-balloon - 3.18.8-1
< kmod-virtio-net - 3.18.8-1
< kmod-virtio-random - 3.18.8-1
< kmod-vmxnet3 - 3.18.8-1
---
> kernel - 3.14.34-1-d63ea79d45ddf2e52a6c4ec014ac408d
> kmod-8139too - 3.14.34-1
> kmod-acpi-button - 3.14.34-1
> kmod-ath - 3.14.34+2014-11-04-1
> kmod-ath9k - 3.14.34+2014-11-04-1
> kmod-ath9k-common - 3.14.34+2014-11-04-1
> kmod-ath9k-htc - 3.14.34+2014-11-04-1
> kmod-cfg80211 - 3.14.34+2014-11-04-1
> kmod-crypto-aead - 3.14.34-1
> kmod-crypto-aes - 3.14.34-1
> kmod-crypto-arc4 - 3.14.34-1
> kmod-crypto-authenc - 3.14.34-1
> kmod-crypto-cbc - 3.14.34-1
> kmod-crypto-core - 3.14.34-1
> kmod-crypto-crc32c - 3.14.34-1
> kmod-crypto-deflate - 3.14.34-1
> kmod-crypto-des - 3.14.34-1
> kmod-crypto-hash - 3.14.34-1
> kmod-crypto-hmac - 3.14.34-1
> kmod-crypto-iv - 3.14.34-1
> kmod-crypto-manager - 3.14.34-1
> kmod-crypto-md5 - 3.14.34-1
> kmod-crypto-pcompress - 3.14.34-1
> kmod-crypto-rng - 3.14.34-1
> kmod-crypto-sha1 - 3.14.34-1
> kmod-crypto-sha256 - 3.14.34-1
> kmod-crypto-wq - 3.14.34-1
> kmod-e1000 - 3.14.34-1
> kmod-fs-ext4 - 3.14.34-1
> kmod-gpio-button-hotplug - 3.14.34-1
> kmod-gre - 3.14.34-1
> kmod-hwmon-core - 3.14.34-1
> kmod-ifb - 3.14.34-1
> kmod-input-core - 3.14.34-1
> kmod-input-evdev - 3.14.34-1
> kmod-ip6tables - 3.14.34-1
> kmod-ipsec - 3.14.34-1
> kmod-ipsec4 - 3.14.34-1
> kmod-ipt-conntrack - 3.14.34-1
> kmod-ipt-conntrack-extra - 3.14.34-1
> kmod-ipt-core - 3.14.34-1
> kmod-ipt-filter - 3.14.34-1
> kmod-ipt-hashlimit - 3.14.34-1
> kmod-ipt-ipopt - 3.14.34-1
> kmod-ipt-ipsec - 3.14.34-1
> kmod-ipt-ipset - 3.14.34+6.20.1-1
> kmod-ipt-nat - 3.14.34-1
> kmod-ipt-tee - 3.14.34-1
> kmod-iptunnel - 3.14.34-1
> kmod-iptunnel4 - 3.14.34-1
> kmod-ipv6 - 3.14.34-1
> kmod-ledtrig-default-on - 3.14.34-1
> kmod-ledtrig-netdev - 3.14.34-1
> kmod-ledtrig-timer - 3.14.34-1
> kmod-ledtrig-usbdev - 3.14.34-1
> kmod-lib-crc-ccitt - 3.14.34-1
> kmod-lib-crc16 - 3.14.34-1
> kmod-lib-crc32c - 3.14.34-1
> kmod-lib-textsearch - 3.14.34-1
> kmod-lib-zlib - 3.14.34-1
> kmod-libphy - 3.14.34-1
> kmod-mac80211 - 3.14.34+2014-11-04-1
> kmod-mii - 3.14.34-1
> kmod-ne2k-pci - 3.14.34-1
> kmod-nf-conntrack - 3.14.34-1
> kmod-nf-conntrack6 - 3.14.34-1
> kmod-nf-ipt - 3.14.34-1
> kmod-nf-ipt6 - 3.14.34-1
> kmod-nf-nat - 3.14.34-1
> kmod-nf-nathelper - 3.14.34-1
> kmod-nfnetlink - 3.14.34-1
> kmod-nls-base - 3.14.34-1
> kmod-pcnet32 - 3.14.34-1
> kmod-ppp - 3.14.34-1
> kmod-pppoe - 3.14.34-1
> kmod-pppox - 3.14.34-1
> kmod-pps - 3.14.34-1
> kmod-ptp - 3.14.34-1
> kmod-r8169 - 3.14.34-1
> kmod-sched-connmark - 3.14.34-1
> kmod-sched-core - 3.14.34-1
> kmod-slhc - 3.14.34-1
> kmod-tg3 - 3.14.34-1
> kmod-tun - 3.14.34-1
> kmod-usb-acm - 3.14.34-1
> kmod-usb-core - 3.14.34-1
> kmod-usb-net - 3.14.34-1
> kmod-usb-net-cdc-ncm - 3.14.34-1
> kmod-usb-net-huawei-cdc-ncm - 3.14.34-1
> kmod-usb-net-qmi-wwan - 3.14.34-1
> kmod-usb-ohci - 3.14.34-1
> kmod-usb-serial - 3.14.34-1
> kmod-usb-serial-option - 3.14.34-1
> kmod-usb-serial-wwan - 3.14.34-1
> kmod-usb-wdm - 3.14.34-1
> kmod-usb2 - 3.14.34-1
> kmod-via-rhine - 3.14.34-1
> kmod-via-velocity - 3.14.34-1
> kmod-virtio-balloon - 3.14.34-1
> kmod-virtio-net - 3.14.34-1
> kmod-virtio-random - 3.14.34-1
> kmod-vmxnet3 - 3.14.34-1
141c141
< libjson-c - 0.12-1
---
> libjson-c - 0.11-2
147c147
< libopenssl - 1.0.2-3
---
> libopenssl - 1.0.2-2
159c159
< netifd - 2015-03-15-45fd905c980e56b20770d4b34556749fbca53fcc
---
> netifd - 2015-02-17-4d84111e1014c817653db92bcd8024ff1935b6be
162,163c162,163
< odhcpd - 2015-03-06-721db56281dba79158470d7f69ccc7577f11fbb6
< openssl-util - 1.0.2-3
---
> odhcpd - 2014-11-06-3b628005e66e90770b2757a4a02c1dee25ccb883
> openssl-util - 1.0.2-2
168c168
< procd - 2015-03-12-6c880d28c9fb8d87c3a42b81e7659b7666c78976
---
> procd - 2015-02-27-b6777a45becef915d6a99f01e044ad508bb278c6
186d185
< wwan - 2014-07-17-1

comment:9 Changed 3 years ago by nbd

please show me the output of

cat /proc/modules

along with a crash log of the same run

Changed 3 years ago by anonymous

Changed 3 years ago by anonymous

comment:10 Changed 3 years ago by anonymous

Just a reminder: a x86 VM r44597 created from the same .config file has been running fine for weeks (the panics started before switching the x86 target from 3.14 to 3.18).

comment:11 Changed 3 years ago by nbd

thanks, without that log I wouldn't easily have figured it out what was crashing.
please try this patch: http://nbd.name/ipset-fix.patch

Changed 3 years ago by anonymous

Changed 3 years ago by anonymous

comment:12 Changed 3 years ago by anonymous

Btw to test your patch asap, I only re-compiled the Linux kernel (make target/linux/{clean,compile} V=s) and the ipset package (make package/ipset/{clean,compile,install} V=s)

comment:13 Changed 3 years ago by nbd

That's not enough. the ipset modules are now built by a different package (package/kernel/linux/)

comment:14 Changed 3 years ago by nbd

Or did you also run a normal make, to ensure that everything is re-installed onto the rootfs?

comment:15 Changed 3 years ago by anonymous

At the end, I did run a "make V=s" and used the resulting image for the sysupgrade.

Anyway, I'm currently re-compiling after a "make clean" ... and I'll report back here asap.

comment:16 Changed 3 years ago by anonymous

No more panics after nbd's patch, tested r44893 for several hours.
So I suppose this ticket can be closed now.

PS: Thanks to nbd for quickly resolving the issue.

comment:17 Changed 3 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.